package com.chenyang.nse.bussiness.engine.infa.powercenter961.pubbean;

import java.util.List;

public class CommonBean {
   private List<String> keytype;
   private List<String> nameList;
   private List<String> typeList;
   private List<String> lengthList;
   private List<String> mappingLengthList;
   private List<String> mappingTypeList;
   private List<String> mappingPrecisionList;
   private List<String> precisionList;
   private List<String> scalelist;
   private List<String> mappingScalelist;
   private List<String> judgelist;
   private List<String> dateformatlist;

   public List<String> getDateformatlist() {
      return this.dateformatlist;
   }

   public void setDateformatlist(List<String> dateformatlist) {
      this.dateformatlist = dateformatlist;
   }

   public List<String> getJudgelist() {
      return this.judgelist;
   }

   public void setJudgelist(List<String> judgelist) {
      this.judgelist = judgelist;
   }

   public List<String> getMappingScalelist() {
      return this.mappingScalelist;
   }

   public void setMappingScalelist(List<String> mappingScalelist) {
      this.mappingScalelist = mappingScalelist;
   }

   public List<String> getMappingPrecisionList() {
      return this.mappingPrecisionList;
   }

   public void setMappingPrecisionList(List<String> mappingPrecisionList) {
      this.mappingPrecisionList = mappingPrecisionList;
   }

   public List<String> getPrecisionList() {
      return this.precisionList;
   }

   public void setPrecisionList(List<String> precisionList) {
      this.precisionList = precisionList;
   }

   public List<String> getMappingTypeList() {
      return this.mappingTypeList;
   }

   public void setMappingTypeList(List<String> mappingTypeList) {
      this.mappingTypeList = mappingTypeList;
   }

   public List<String> getMappingLengthList() {
      return this.mappingLengthList;
   }

   public void setMappingLengthList(List<String> mappingLengthList) {
      this.mappingLengthList = mappingLengthList;
   }

   public List<String> getKeytype() {
      return this.keytype;
   }

   public void setKeytype(List<String> keytype) {
      this.keytype = keytype;
   }

   public List<String> getNameList() {
      return this.nameList;
   }

   public void setNameList(List<String> nameList) {
      this.nameList = nameList;
   }

   public List<String> getTypeList() {
      return this.typeList;
   }

   public void setTypeList(List<String> typeList) {
      this.typeList = typeList;
   }

   public List<String> getLengthList() {
      return this.lengthList;
   }

   public void setLengthList(List<String> lengthList) {
      this.lengthList = lengthList;
   }

   public List<String> getScalelist() {
      return this.scalelist;
   }

   public void setScalelist(List<String> scalelist) {
      this.scalelist = scalelist;
   }
}
